summaryrefslogtreecommitdiff
path: root/bin/menuscripts/muzrname
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-06-19 10:30:03 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-06-19 10:30:03 +0200
commitff6c38d3364165a7bae431888a87aab1e53a80b9 (patch)
treec0ac13cdbf388d59193522eb8775788a6fae3e81 /bin/menuscripts/muzrname
parent4bf952169c5d94044a6dd3c868c990716d22c58b (diff)
parent05e1216b45340702f82a4946002015a05cebe9b1 (diff)
Merge branch 'main' of debuc.com:dotfiles
Diffstat (limited to 'bin/menuscripts/muzrname')
-rwxr-xr-xbin/menuscripts/muzrname22
1 files changed, 22 insertions, 0 deletions
diff --git a/bin/menuscripts/muzrname b/bin/menuscripts/muzrname
new file mode 100755
index 0000000..3f63aff
--- /dev/null
+++ b/bin/menuscripts/muzrname
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+rename()
+{
+ ## Expression 1:
+ # For CDs or volumes 1-01 -> 1_01
+ ## Expression 2:
+ # * don't match the start (^)
+ # match the first part with a number and replace following [ -.] by '. '
+ sed -e 's/^\s*\([0-9]\+\)[ -_.]\([0-9]\+\)/\1_\2. /' \
+ -e 's#\s*\([0-9]\+\)[ -.]\+#\1. #'
+}
+
+if [ ! -t 0 ]
+then
+ rename
+elif [ "$1" ]
+then
+ printf '%s' "$1" | rename
+else
+ exit 1
+fi